%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

%global srcname setuptools

Name:           python-setuptools
Version:        32.3.1
Release:        1
Summary:        Easily build and distribute Python packages
Group:          Applications/System
License:        (Python or ZPLv2.0) and ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/s/%{srcname}/%{srcname}-%{version}.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  unzip
BuildRequires:  python-devel >= 2.7.13-1
Requires:       python >= 2.7.13-1

# Provide this since some people will request distribute by name
Provides: python-distribute = %{version}-%{release}

%define _libdir64 %{_prefix}/lib64

%description
Setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to
execute the software that requires pkg_resources.py.


# all this hoopla is required because RPM V3 (which we are stuck with on AIX)
# does not understand ZIP archives as source files :-(
%prep
/usr/bin/rm -rf %{srcname}-%{version}
unzip %{SOURCE0}
%setup -T -D -n %{srcname}-%{version}
# Remove bundled exes
rm -f setuptools/*.exe
# These tests require internet connection
rm setuptools/tests/test_integration.py
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)
cd ../64bit


%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}
mv ${RPM_BUILD_ROOT}%{_libdir} ${RPM_BUILD_ROOT}%{_libdir64}

(
  cd ${RPM_BUILD_ROOT}%{_bindir}

  for f in * ; do
    mv ${f} ${f}_64
  done
  mv easy_install-2.7_64 easy_install_64-2.7
)

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT}%{python_sitelib} -name '*.exe' | xargs rm -f
find ${RPM_BUILD_ROOT}%{python_sitelib64} -name '*.exe' | xargs rm -f

chmod +x ${RPM_BUILD_ROOT}%{python_sitelib}/setuptools/command/easy_install.py
chmod +x ${RPM_BUILD_ROOT}%{python_sitelib64}/setuptools/command/easy_install.py

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/*.rst 32bit/docs
%{_bindir}/*
%{python_sitelib}/*
%{python_sitelib64}/*
/usr/bin/*


%changelog
* Mon Jan 16 2017 Michael Perzl <michael@perzl.org> - 32.3.1-1
- updated to version 32.3.1

* Mon Mar 30 2015 Michael Perzl <michael@perzl.org> - 0.6.49-1
- updated to version 0.6.49

* Thu Nov 17 2011 Michael Perzl <michael@perzl.org> - 0.6.24-1
- updated to version 0.6.24

* Mon Jan 17 2011 Michael Perzl <michael@perzl.org> - 0.6.14-1
- first version for AIX V5.1 and higher
